Bug 21245 - Move 'Last patron' button inside of the 'breadcrumb' bar
Summary: Move 'Last patron' button inside of the 'breadcrumb' bar
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 20312
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-18 07:36 UTC by Martin Renvoize
Modified: 2019-10-08 13:31 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 21245: Move 'Last patron' button into 'breadcrumb' bar (1.98 KB, patch)
2019-05-07 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21245: Move 'Last patron' button into 'breadcrumb' bar (2.05 KB, patch)
2019-10-04 09:23 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-08-18 07:36:56 UTC
I think the UI element added for the 'Last patron' navigation button would be better placed inside the breadcrumb bar rather than above it?
Comment 1 helene 2019-01-15 21:34:06 UTC
This looks like it has been fixed in master, setting to resolved.
Comment 2 Martin Renvoize 2019-05-07 09:25:25 UTC
This doesn't look like it's the case to me.
Comment 3 Martin Renvoize 2019-05-07 11:01:13 UTC
Created attachment 89426 [details] [review]
Bug 21245: Move 'Last patron' button into 'breadcrumb' bar

This patch moved the 'Last patron' button introduced in bug 20312 inline
with the breadcrumb bar from floating above it.
Comment 4 Martin Renvoize 2019-05-07 11:01:40 UTC
I'm sure there must be a nicer way of doing this.. Owen?
Comment 5 Liz Rea 2019-05-09 01:30:16 UTC
I really think this ought to appear up in the top nav, maybe between Cart and More?
Comment 6 Liz Rea 2019-05-09 01:43:49 UTC
Well, let me explain perhaps - I know of a library that implemented something like this on Koha with the last 10 borrowers, and they put the drop down for that in the upper nav menu. It was very handy, I wish they would have submitted it

Anyway, I do think it'd be better in a slightly more visible spot.
Comment 7 Martin Renvoize 2019-05-09 13:53:22 UTC
I mostly just don't like they way it currently feels detached and hovers above the breadcrumb bar.. I'm happy to take suggestions as to better locations :)
Comment 8 Eric Bégin 2019-10-03 14:52:55 UTC
To test :

- Apply the patch
- Make sure your showLastPatron syspref is set to Show
- Update the CSS using 'yarn build' command to update the CSS from the SCSS
- Access a patron account
- Go on the home page

You should now see the Last patron's button.
Comment 9 Nick Clemens 2019-10-04 09:23:38 UTC
Created attachment 93722 [details] [review]
Bug 21245: Move 'Last patron' button into 'breadcrumb' bar

This patch moved the 'Last patron' button introduced in bug 20312 inline
with the breadcrumb bar from floating above it.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Martin Renvoize 2019-10-08 13:31:27 UTC
Nice work!

Pushed to master for 19.11.00